# DescribeCloudRouterAvailableVpcs

## 1. 接口描述

调用本接口用于查询可用于加入三层网络专线的VPC列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="203">参数名称</th><th width="91">必选</th><th width="143">类型</th><th>描述</th></tr></thead><tbody><tr><td>vpcId</td><td>否</td><td>String</td><td>VPC ID。</td></tr><tr><td>pageNum</td><td>否</td><td>Integer</td><td><p>返回的分页数。</p><p>默认为1。</p></td></tr><tr><td>pageSize</td><td>否</td><td>Integer</td><td><p>返回的分页大小。</p><p>默认为20，最大为100。</p></td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="136.33333333333331">参数名称</th><th width="302">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr><tr><td>dataSet</td><td>Array of <a href="../../datastructure#cloudrouteravailablevpc">CloudRouterAvailableVpc</a></td><td>可加入三层网络的VPC列表。</td></tr><tr><td>totalCount</td><td>Integer</td><td>符合条件的VPC总数量。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取可加入三层网络的VPC列表。**

<pre class="language-json"><code class="lang-json">POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudRouterAvailableVpcs
&#x3C;Common Request Params>

Request：
{}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"TB1F3B1A1-DA70-4FF7-99D1-CEBEEFBAC95F",
    "totalCount":1,
    "dataSet":[
        {
            "vpcName":"VPC-MAD-A-01",
            "dataCenter":{
                "dcId":"MAD1",
                "cityName":"Madrid",
                "areaName":"Europe",
                "dcName":"Interxion_MAD2 ",
                "dcAddress":"Calle Albasanz, 73, Madrid, 28037, Spain",
                "countryName":"Spain"
            },
            "vpcId":"your-vpc-id",
            "cidrBlock":"10.0.0.0/8"
        }
    ]
<strong>  }
</strong>}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
|         |     |    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/router/describecloudrouteravailablevpcs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
